Subject: Re: [GROW] Virtual Aggregation as GROW working group item

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 06 May 2009 12:56:01 -0400

I would like to see Grow work on these documents.
My inclination would be to target the for publicaiton as Informational RFCs.

I do think we need an I-D that explores / explains the applicable space 
better, so folks can evaluate the cost-benefit tradeoff of using this 
approach.  Whether that ends up dying off, becoming its own document, or 
incorporated in part into the main document, is much less of an issue 
for me.

Yours,
Joel M. Halpern

PS: I presume that there are some procedural obstacles to be overcome in 
adopting this work.  If the WG wants to do this, and if the chairs want 
some help dealing with any procedural obstacles, I am happy to help.

Paul Francis wrote:
> From:
> Paul Francis <[email-masked]>
> To: [email-masked]
> Date: 04/24/2009 05:01 PM
> Subject: [GROW] Virtual Aggregation as GROW working group item
> Sent by: [email-masked]
> 
> Gang,
> 
> I would like to start the discussion of making Virtual Aggregation, which 
> I presented at the GROW meeting in SF, a working group item.
> 
> A new version of the document has been posted, which mainly consists of 
> minor clarifications from folks who make up an expanded author list 
> (Zhang, Jen, and Raszuk).  It is at 
> http://www.ietf.org/internet-drafts/draft-francis-intra-va-01.txt.
> 
> Note that there are two companion documents associated with this, one each 
> 
> on the specifics of MPLS and IP-in-IP tunnels in support of VA.  These 
> have not been updated, though we expect them to be soon.  (These are at 
> http://tools.ietf.org/id/draft-francis-va-tunnels-mpls-00.txt and 
> http://www.ietf.org/internet-drafts/draft-xu-va-tunnels-gre-00.txt 
> respectively)
> 
> I think that there are mainly two things to discuss:
> 
> 1.  What additional documentation, if any, is needed (requirements, 
> scenarios, MIB, ....)?
> 2.  What should the status of the produced RFCs be (informational, BCP, 
> standard)?
> 
> Regarding the first, I do think that a requirements/scenarios document is 
> a good idea, but would like to hear opinions.
> 
> Regarding the second, there are arguments for and against each type. 
> Strictly speaking no protocol changes are needed (except for a case 
> involving GRE tunnels with key values, which require an extended 
> communities attribute to convey the key info).  So informational or BCP 
> could both work.  I'm inclined towards BCP, but would like to hear 
> opinions.  Even possibly we could start this as a working group item 
> without making this decision just yet.
> 
> Thanks all,
> 
> PF
> 
> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
> 
> 
>

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 6 May 2009 13:29:44 -0400

> My inclination would be to target the for publicaiton as Informational RFCs.

That seems reasonable. Inside a single ASN or single set of
cooperating  ASN's it seems reasonable to accept longer stretch and
win some longer life for your gear.

> incorporated in part into the main document, is much less of an issue for
> me.
>
> Yours,
> Joel M. Halpern
>

I THINK all that's required is a consensus that the doc should be
homed in 'some group' (call it grow-wg for this discussion) and then
to officially adopt it as such (via chairs sending the requested doc
forward as an accepted WG doc, where it gets renamed from
draft-paul-blah to draft-grow-blah)...

Are there any folks attempting to block this as a work-item for Grow?

-Chris

> adopting this work.  If the WG wants to do this, and if the chairs want some
> help dealing with any procedural obstacles, I am happy to help.
>
> Paul Francis wrote:
>>
>> From:
>> minor clarifications from folks who make up an expanded author list (Zhang,
>> Jen, and Raszuk).  It is at
>> involving GRE tunnels with key values, which require an extended communities
>> attribute to convey the key info).  So informational or BCP could both work.
>>  I'm inclined towards BCP, but would like to hear opinions.  Even possibly
>> we could start this as a working group item without making this decision
>> just yet.
>>
>> Thanks all,
>>
>> PF
>>

---

From: Paul Francis <[email-masked]>
Date: Wed, 20 May 2009 13:07:58 +0200

Christopher Morrow  wrote:

> 
> Re: [GROW] Virtual Aggregation as GROW working group item
> 
> 
> 

> Are there any folks attempting to block this as a work-item for Grow?

If there are such people, I don't think they will come out until we take 
the next step here.

So, I suggest that we go ahead and call these grow-wg accepted documents, 
and issue them under the grow name. 

PF

> >> minor clarifications from folks who make up an expanded author list 
(Zhang,
> >> involving GRE tunnels with key values, which require an extended 
communities

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 20 May 2009 12:38:12 -0400

> and issue them under the grow name.

Agreed, it's been ~3wks since the last note on VA to grow, with no
folks piping up saying otherwise, could you re-send your doc to the
editor with the proper naming?

-Chris

---

From: Paul Francis <[email-masked]>
Date: Wed, 20 May 2009 18:44:53 +0200

Is it ok if I make a few changes/fixes and then post that with the new 
naming?

PF

From:
Christopher Morrow <[email-masked]>
To:
Paul Francis <[email-masked]>
Cc:
[email-masked], [email-masked]
Date:
05/20/2009 06:38 PM
Subject:
Re: [GROW] Virtual Aggregation as GROW working group item

-Chris

>> >> Note that there are two companion documents associated with this, 
one
> each

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 20 May 2009 14:00:56 -0400

> Is it ok if I make a few changes/fixes and then post that with the new

s'okay by me.